public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/codespell/
Date: Sun, 30 Oct 2022 09:35:02 +0000 (UTC)	[thread overview]
Message-ID: <1667122412.d41810fa6d9c414f274ad6faa0cf7f10b0f5b705.sam@gentoo> (raw)

commit:     d41810fa6d9c414f274ad6faa0cf7f10b0f5b705
Author:     Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Wed Oct 19 14:08:22 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 09:33:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d41810fa

dev-util/codespell: add 2.2.2

Closes: https://bugs.gentoo.org/877619
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/27848
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/codespell/Manifest               |  1 +
 dev-util/codespell/codespell-2.2.2.ebuild | 35 +++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-util/codespell/Manifest b/dev-util/codespell/Manifest
index 2f1664fdd511..279d8d249dc7 100644
--- a/dev-util/codespell/Manifest
+++ b/dev-util/codespell/Manifest
@@ -1 +1,2 @@
 DIST codespell-2.2.1.tar.gz 211593 BLAKE2B aba431119fd1f16ee51076cd4496ef3f3e80e56a124bbbd4ebbec5dcee5b7e49788db37bcdefd15946d12680596b33ab20ae845fd9a3a3a61ee8c3eed187fe2f SHA512 6c1ce9ed134ba4602cc91c1851a023911ff09ce7d4b1e8a33e655bf821a5b82ae8f0e75defef43e9a8537a6ffc7f0ad7e59af7b200a1294dfe3aff1651869e41
+DIST codespell-2.2.2.tar.gz 213652 BLAKE2B 2084f6041c6cf9888b661a1b7b8a73696b1dc6309b8d19adbb0dbdc091d87b487464b12c9800cfec893ed5d6ea71f214d0a4262099617b5fe7e60d8ca448973d SHA512 48be00aa32e55a66814193014e97fcb27ff323ea2db0622f68cd2d3ab31ab8be61f60a09ed91fe3425cbd63b2592bcc44ee9b58fe79e2d498bc27a83a4e93ddd

diff --git a/dev-util/codespell/codespell-2.2.2.ebuild b/dev-util/codespell/codespell-2.2.2.ebuild
new file mode 100644
index 000000000000..7e96964cca81
--- /dev/null
+++ b/dev-util/codespell/codespell-2.2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Check text files for common misspellings"
+HOMEPAGE="https://pypi.org/project/codespell https://github.com/codespell-project/codespell"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+# Code licensed under GPL-2, dictionary licensed under CC-BY-SA-3.0
+LICENSE="GPL-2 CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( dev-python/chardet[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	distutils-r1_python_prepare_all
+
+	# do not depend on pytest-cov
+	sed -e '/addopts/d' -i setup.cfg || die
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	rm -R "${ED}"/$(python_get_sitedir)/bin || die
+}


             reply	other threads:[~2022-10-30  9:35 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-30  9:35 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-12 18:06 [gentoo-commits] repo/gentoo:master commit in: dev-util/codespell/ Arthur Zamarin
2024-01-12 18:06 Arthur Zamarin
2023-12-17 19:46 Arthur Zamarin
2023-05-20 12:32 Joonas Niilola
2023-05-06  9:13 Arthur Zamarin
2023-05-06  9:12 Arthur Zamarin
2023-04-25 14:05 Arthur Zamarin
2023-03-25  4:08 Sam James
2022-12-10 14:33 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-10-02 14:53 Florian Schmaus
2022-09-25  6:13 Joonas Niilola
2022-09-25  6:13 Joonas Niilola
2022-08-21 18:41 Arthur Zamarin
2022-02-07 22:22 Sam James
2022-02-07 22:22 Sam James
2021-07-23  7:03 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667122412.d41810fa6d9c414f274ad6faa0cf7f10b0f5b705.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox